# png::basic_alpha_pixel_traits< component > Struct Template Reference

Basic pixel traits class template for pixels with alpha channel. More...

`#include <pixel_traits.hpp>`

List of all members.

## Static Public Member Functions

static component | get_alpha_filler ()
| Returns the default alpha channel filler for full opacity.

## Detailed Description

### template<typename component>
struct png::basic_alpha_pixel_traits< component >

Basic pixel traits class template for pixels with alpha channel.

## Member Function Documentation

template<typename component>

static component png::basic_alpha_pixel_traits< component >::get_alpha_filler | ( | ) | `[inline, static]`

Returns the default alpha channel filler for full opacity.

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::operator()().

The documentation for this struct was generated from the following file:

- pixel_traits.hpp